## org.eclipse.datatools.sqltools.core.services
Class SQLEditorService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLEditorService

public class SQLEditorService
extends java.lang.Object

A SQL Editor related service specific to a database definition. This interface allows clients to customize the default behavior of the SQL Editor.

Author:
  Hui Cao

Constructor Summary
`SQLEditorService()`

Method Summary
`java.util.Collection` `getAdditionalActions()` Returns data server specific actions, which will be added to menu/context menu and tool bar.

`java.util.Collection`

`getExcludedActionIds()`
The following actions can be excluded in SQL Editor: `ISQLEditorActionConstants.EXPLAIN_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECUTE_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECTUE_SELECTION_SQL_ACTION_ID` `ISQLEditorActionConstants.GROUP_NEW_ROUTINE_ID` `ISQLEditorActionConstants.GROUP_INSERT_QUERY_ID` `ISQLEditorActionConstants.RUN_ACTION_ID` `ISQLEditorActionConstants.DEBUG_ACTION_ID`

`IExtendedLaunchSupport` `getExtendedLaunchSupport()` Returns a `IExtendedLaunchSupport` object which is used to execute additional operations before/after launching
`IExtendedSaveSupport` `getExtendedSaveSupport()` Returns a `IExtendedSaveSupport` object which is used to perform additional operations before/after saving a procedural object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorService

    public SQLEditorService()

Method Detail

### getExtendedLaunchSupport

    public IExtendedLaunchSupport getExtendedLaunchSupport()

  Returns a `IExtendedLaunchSupport` object which is used to execute additional operations before/after launching

  Returns:
    a `IExtendedLaunchSupport` object to customize the launching behavior.

### getExtendedSaveSupport

    public IExtendedSaveSupport getExtendedSaveSupport()

  Returns a `IExtendedSaveSupport` object which is used to perform additional operations before/after saving a procedural object

  Returns:
    a `IExtendedSaveSupport` object to customize the saving behavior

### getExcludedActionIds

    public java.util.Collection getExcludedActionIds()

  The following actions can be excluded in SQL Editor: `ISQLEditorActionConstants.EXPLAIN_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECUTE_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECTUE_SELECTION_SQL_ACTION_ID` `ISQLEditorActionConstants.GROUP_NEW_ROUTINE_ID` `ISQLEditorActionConstants.GROUP_INSERT_QUERY_ID` `ISQLEditorActionConstants.RUN_ACTION_ID` `ISQLEditorActionConstants.DEBUG_ACTION_ID`

### getAdditionalActions

    public java.util.Collection getAdditionalActions()

  Returns data server specific actions, which will be added to menu/context menu and tool bar. To appear in the toolbar, the action must define action id.

  Returns:
    collection of `org.eclipse.jface.action.Action` objects.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.